Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface ExtendedNodeOps

All Superinterfaces
  NodeOps, Serializable

Deprecated As of 10.2, replaced by `NodeOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface ExtendedNodeOps

extends NodeOps, Serializable

This NodeOps interface was added so that if customers choose, they can implement it to get new functionality from the CM system.

Method Summary
`Node` | `createNode(ID parentId, String newNodeName, int type, ID workflowId)` Deprecated This method creates a new Node underneath the parent.
`Node` | `createNode(ID parentId, String newNodeName, int type, ID objectClassId, Property[] properties, ID workflowId)` Deprecated This method creates a new Node underneath the parent.
`Set<String>` | `getNativeFilterableProperties(String repositoryName)` Deprecated Returns a set of property names which the repository can filter natively (within the repository instead of the federated API) for paging purposes.
`Set<String>` | `getNativeSortableProperties(String repositoryName)` Deprecated Returns a set of property names which the repository can sort natively (within the repository instead of the federated API) for paging purposes.
`QueryResult<Node>` | `getNodeChildren(ID parentId, int type, QueryCriteria queryCriteria)` Deprecated This method returns all children Nodes for the parent Node ID.
`ID[]` | `getNodeChildrenAsNodeIds(ID parentId, int type)` Deprecated This method returns an array of all children Node IDs for the parent Node.
`ID[]` | `getNodeReferences(ID nodeId)` Deprecated Retrieve nodes in this repository which have a link property referring to the specified node.
`QueryResult<Node>` | `getNodes(ID[] nodeIds, QueryCriteria queryCriteria, boolean failSilently)` Deprecated This method returns Nodes, one per node ID passed in.
`void` | `orderBefore(ID parentNodeId, ID srcChildNodeId, ID destChildNodeId)` Deprecated If the parent node type supports child node ordering, this method inserts the child node at `srcChildNodeId` before its sibling, the child node at `destChildNodeId`.
`Node` | `save(Node node)` Deprecated This method updates an existing node in a single transaction.

Methods inherited from interface com.bea.content.spi.NodeOps
`addNodeContent, copyNode, createNode, createNode, deleteNode, getNode, getNode, getNodeChildren, getNodes, getProperties, getPropertyBytes, moveNode, removeNodeContent, renameNode, updateProperties`

Method Detail

### save

    Node save(Node node)
              throws AuthorizationException,
                     RepositoryException

  Deprecated
  This method updates an existing node in a single transaction. The changed node attributes will be updated accordingly, including changed properties. This is a less granular way of performing similar actions like addNodeContent, moveNode, renameNode, and updateProperties. Additionally this provides access to modify a node's workflow status and workflow id. The node is assumed to be retrieved from this API and therefore properly formed when this call is made. Therefore if this method is called and some property values are not specified, those property values will be made null. The following node attributes cannot be modified via this API. created by, created date, modified by, modified date and path (modifying the parent will cause the node path to be updated properly).

  Parameters
    `node` - The node to update with the various changes set accordingly.
  Returns
    The updated node
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `RepositoryException` - - if validation error occurs.

### getNodes

    QueryResult<Node> getNodes(ID[] nodeIds,
                               QueryCriteria queryCriteria,
                               boolean failSilently)
                               throws AuthorizationException,
                                      NoSuchNodeException

  Deprecated
  This method returns Nodes, one per node ID passed in. If the current credential is not allowed access to a particular node, then there may be a null in the results at that node's place.

  Parameters
    `nodeIds` - - the Node IDs to retrieve the Nodes for.
    `queryCriteria` - - the query criteria (possibly unsorted and unfiltered)
    `failSilently` - - if true, then if a node cannot be found, no exception will be thrown
  Returns
    the retrieved Nodes.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchNodeException` - - if a node to get can't be found.

### getNodeChildren

    QueryResult<Node> getNodeChildren(ID parentId,
                                      int type,
                                      QueryCriteria queryCriteria)
                                      throws AuthorizationException,
                                             NoSuchNodeException

  Deprecated
  This method returns all children Nodes for the parent Node ID.

  Parameters
    `parentId` - - the Node which may have children
    `type` - - the type of children to return, either `Node.HIERARCHY`, `#CONTENT` or `Node.NODE`. If the type is `Node.NODE` then all children (both `Node.HIERARCHY` and `#CONTENT` will be returned. Use of Node.HIERARCHY and Node.CONTENT will be deprecated in future releases.
    `queryCriteria` - - the query Criteria (possibly unsorted and unfiltered)
  Returns
    one Node object per child of the parent, or empty if the Node has no children.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchNodeException` - - if the parent node can't be found.

### getNodeChildrenAsNodeIds

    ID[] getNodeChildrenAsNodeIds(ID parentId,
                                  int type)
                                  throws AuthorizationException,
                                         NoSuchNodeException

  Deprecated
  This method returns an array of all children Node IDs for the parent Node.

  Parameters
    `parentId` - - the Node which may have children
    `type` - - the type of children to return, either `Node.HIERARCHY`, `#CONTENT` or `Node.NODE`. If the type is `Node.NODE` then all children (both `Node.HIERARCHY` and `#CONTENT` will be returned. Use of Node.HIERARCHY and Node.CONTENT will be deprecated in future releases.
  Returns
    one Node ID per child of the parent, or empty array if the Node has no children.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchNodeException` - - if the parent node can't be found.

### getNodeReferences

    ID[] getNodeReferences(ID nodeId)
                           throws AuthorizationException,
                                  RepositoryException

  Deprecated
  Retrieve nodes in this repository which have a link property referring to the specified node.

  Parameters
    `nodeId` - The `ID` of the referred-to node.
  Returns
    An array of nodes which refer to the given node.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it
    `RepositoryException`

### getNativeSortableProperties

    Set<String> getNativeSortableProperties(String repositoryName)
                                            throws AuthorizationException,
                                                   RepositoryException

  Deprecated
  Returns a set of property names which the repository can sort natively (within the repository instead of the federated API) for paging purposes.

  Parameters
    `repositoryName` - The name of the repository.
  Returns
    The property names which can be sorted at the repository level.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `RepositoryException` - - if validation error occurs.

### getNativeFilterableProperties

    Set<String> getNativeFilterableProperties(String repositoryName)
                                              throws AuthorizationException,
                                                     RepositoryException

  Deprecated
  Returns a set of property names which the repository can filter natively (within the repository instead of the federated API) for paging purposes.

  Parameters
    `repositoryName` - The name of the repository.
  Returns
    The property names which can be filtered at the repository level.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `RepositoryException` - - if validation error occurs.

### orderBefore

    void orderBefore(ID parentNodeId,
                     ID srcChildNodeId,
                     ID destChildNodeId)
                     throws ConstraintViolationException,
                            NoSuchNodeException,
                            AuthorizationException,
                            RepositoryException

  Deprecated
  If the parent node type supports child node ordering, this method inserts the child node at `srcChildNodeId` before its sibling, the child node at `destChildNodeId`. Both nodes must be immediate children of the parent node, `parentNodeId`.

  To place the node `srcChildNodeId` at the end of the list, a `destChildNodeId` of `null` is used.

  If `srcChildNodeId` and `destChildNodeId` are the same, then no change is made.

  If this node does not support child node ordering, then a `UnsupportedRepositoryOperationException` is thrown.

  If `srcChildNodeId` does not exist, then a `NoSuchNodeException` is thrown.

  If `destChildNodeId` is neither `null` nor a sibling of srcChildNodeId, then a `NoSuchNodeException` is also thrown.

  If this operation would violate a node type or implementation-specific constraint, a `ConstraintViolationException` will be thrown.

  Parameters
    `parentNodeId` - the parent of both srcChildNodeId and destChildNodeId (possibly null for repo root)
    `srcChildNodeId` - the child node to be moved in the ordering
    `destChildNodeId` - the child node before which the node `srcChildId` will be placed, or null to move the srcChildNode to the last position.

  Throws
    `ConstraintViolationException` - if an implementation-specific constraint is violated
    `NoSuchNodeException` - if neither child node exists
    `RepositoryException` - if another error occurs
    `AuthorizationException` - if the user attempting the operation is not authorized to perform it

### createNode

    Node createNode(ID parentId,
                    String newNodeName,
                    int type,
                    ID objectClassId,
                    Property[] properties,
                    ID workflowId)
                    throws AuthorizationException,
                           NodeExistsException,
                           NoSuchObjectClassException,
                           RepositoryException

  Deprecated
  This method creates a new Node underneath the parent. If the parent uid is null then the new Node is created under root. It associates the ObjectClass with the given id to the new Node and adds the given properties (content and meta-content) to the Node. If there is a PropertyDefintion in the given ObjectClass with no corresponding Property in the properties array a Property will be created with a null value, unless the Property is required, in which case a validation exception will be thrown.

  Parameters
    `parentId` - - the id for the parent of the node. The parentId's uid is null if the parent is root.
    `newNodeName` - - the name of Node to create.
    `type` - - the type of the node, either `Node.HIERARCHY` or `#CONTENT`. Use of Node.HIERARCHY and Node.CONTENT will be deprecated in future releases.
    `objectClassId` - - the ID for the ObjectClass to associate the new Node to.
    `properties` - - the properties to add to the new Node.
    `workflowId` - - the workflow to be associated with the node. If null, node uses the default workflow
  Returns
    the newly created Node.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it
    `NodeExistsException` - - if the parent Node already has a child with the same name.
    `NoSuchObjectClassException` - - if the ObjectClass doesn't exist.
    `RepositoryException` - - if a validation error occurs.

### createNode

    Node createNode(ID parentId,
                    String newNodeName,
                    int type,
                    ID workflowId)
                    throws AuthorizationException,
                           NodeExistsException,
                           RepositoryException

  Deprecated
  This method creates a new Node underneath the parent. If the parentId's uid is null then the new Node is created under root.

  Parameters
    `parentId` - - the id for the parent of the node. The uid is null if the parent is root.
    `newNodeName` - - the name of Node to create.
    `type` - - the type of the node, either `Node.HIERARCHY` or `#CONTENT`. Use of Node.HIERARCHY and Node.CONTENT will be deprecated in future releases.
    `workflowId` - - the workflow to be associated with the node. If null, node uses the default workflow
  Returns
    the newly created node.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NodeExistsException` - - if the name for the node already exists as a child of the parent.
    `RepositoryException` - - if validation error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.